summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Edinaldo P. Silva <edps.mundognu@gmail.com>2015-08-30 09:29:42 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-08-30 09:29:42 +0700
commit0f3431376ce79d399310676f66faa0743250f58e (patch)
treef4374b187a2e6850de5bef35b78627542b4e0579
parent8ec15ab0220974e824977ee7df01e4dfce56fe50 (diff)
downloadslackbuilds-0f3431376ce79d399310676f66faa0743250f58e.tar.gz
slackbuilds-0f3431376ce79d399310676f66faa0743250f58e.tar.xz
system/ttf-open-sans: Added (True Type Font).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--system/ttf-open-sans/README7
-rw-r--r--system/ttf-open-sans/doinst.sh11
-rw-r--r--system/ttf-open-sans/slack-desc19
-rw-r--r--system/ttf-open-sans/ttf-open-sans.SlackBuild98
-rw-r--r--system/ttf-open-sans/ttf-open-sans.info10
5 files changed, 145 insertions, 0 deletions
diff --git a/system/ttf-open-sans/README b/system/ttf-open-sans/README
new file mode 100644
index 0000000000..8c9b9ed105
--- /dev/null
+++ b/system/ttf-open-sans/README
@@ -0,0 +1,7 @@
+ttf-open-sans (True Type font)
+
+Open Sans is a humanist sans serif typeface designed by Steve Matteson, Type Director of Ascender Corp.
+This version contains the complete 897 character set, which includes the standard ISO Latin 1, Latin CE, Greek and Cyrillic character sets.
+Open Sans was designed with an upright stress, open forms and a neutral, yet friendly appearance.
+It was optimized for print, web, and mobile interfaces, and has excellent legibility characteristics in its letterforms.
+A few condensed styles are also available.
diff --git a/system/ttf-open-sans/doinst.sh b/system/ttf-open-sans/doinst.sh
new file mode 100644
index 0000000000..8fec9f5340
--- /dev/null
+++ b/system/ttf-open-sans/doinst.sh
@@ -0,0 +1,11 @@
+# Update the X font indexes:
+if [ -x /usr/bin/mkfontdir ]; then
+ ( cd /usr/share/fonts/TTF
+ mkfontscale .
+ mkfontdir .
+ )
+fi
+
+if [ -x /usr/bin/fc-cache ]; then
+ /usr/bin/fc-cache -f
+fi
diff --git a/system/ttf-open-sans/slack-desc b/system/ttf-open-sans/slack-desc
new file mode 100644
index 0000000000..4493256702
--- /dev/null
+++ b/system/ttf-open-sans/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+ttf-open-sans: ttf-open-sans (True Type Font)
+ttf-open-sans:
+ttf-open-sans: Open Sans a humanist sans serif typeface designed by Steve Matteson
+ttf-open-sans: This version contains the complete 897 character set, which includes
+ttf-open-sans: the standard ISO Latin 1, Latin CE, Greek and Cyrillic character sets.
+ttf-open-sans:
+ttf-open-sans: Home page: http://www.1001fonts.com/open-sans-font.html
+ttf-open-sans:
+ttf-open-sans:
+ttf-open-sans:
+ttf-open-sans:
diff --git a/system/ttf-open-sans/ttf-open-sans.SlackBuild b/system/ttf-open-sans/ttf-open-sans.SlackBuild
new file mode 100644
index 0000000000..264ab2a22f
--- /dev/null
+++ b/system/ttf-open-sans/ttf-open-sans.SlackBuild
@@ -0,0 +1,98 @@
+#!/bin/sh
+#
+# Slackware build script for ttf-open-sans.
+#
+# Copyright 2015 Edinaldo P. Silva, Rio de Janeiro, Brazil.
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=ttf-open-sans
+VERSION=${VERSION:-0.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+SRCNAM="open-sans"
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+unzip $CWD/$SRCNAM.zip -d $PRGNAM-$VERSION/
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/fonts/TTF
+
+FONTS="OpenSans-Bold.ttf OpenSans-BoldItalic.ttf OpenSans-ExtraBold.ttf \
+OpenSans-ExtraBoldItalic.ttf OpenSans-Italic.ttf OpenSans-Light.ttf \
+OpenSans-LightItalic.ttf OpenSans-Regular.ttf OpenSans-Semibold.ttf \
+OpenSans-SemiboldItalic.ttf"
+
+for i in $FONTS; do
+ cp -a $i $PKG/usr/share/fonts/TTF/
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/system/ttf-open-sans/ttf-open-sans.info b/system/ttf-open-sans/ttf-open-sans.info
new file mode 100644
index 0000000000..d1e1bca22b
--- /dev/null
+++ b/system/ttf-open-sans/ttf-open-sans.info
@@ -0,0 +1,10 @@
+PRGNAM="ttf-open-sans"
+VERSION="0.1"
+HOMEPAGE="http://www.1001fonts.com/open-sans-font.html"
+DOWNLOAD="http://dl.1001fonts.com/open-sans.zip"
+MD5SUM="e628ed23fb53515a0d26644dd15c96be"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Edinaldo P. Silva"
+EMAIL="edps.mundognu@gmail.com"